How can I know what Zandronum supports? ACS/DECOR

General help and assistance forum.
Post Reply
garenslair
Registered just to make one post
Posts: 1
Joined: Sat Jun 06, 2020 4:49 pm
Clan: buthole gang
Clan Tag: buthole

How can I know what Zandronum supports? ACS/DECOR

#1

Post by garenslair » Sat Jun 06, 2020 5:01 pm

The Zdoom Wiki covers everything, and by everything, it practically covers gzdoom's Decorate Doomscript/Zscript, and ACS to it's most recent version. As far as I know, the most recent version of Zandronum (as i post this) 3.0/3.0.1 supports GZDoom 1.8.6., which is years away from its most recent version 4. As such, I end up encountering incompatibility issues when i accidentally implement certain commands/scripts that postdate Zandronum's supported version.

Is there a way or any help to know everything that was accessible to 2.8pre-441-g458e1b1/GZDOOM 1.8.6?

User avatar
TDRR
Forum Regular
Posts: 153
Joined: Thu Jun 28, 2018 9:13 pm
Location: Venezuela

Re: How can I know what Zandronum supports? ACS/DECOR

#2

Post by TDRR » Wed Jun 10, 2020 9:30 pm

You can go into the ZDoom Wiki, then use the "view history" button at the top right of a function page (like A_CheckProximity in DECORATE or floor in ACS for example), then look for a version of the page that's from May 2014 (or the closest that's not any newer than that), and in the vast majority of cases you'll see the feature exactly as Zandronum supports it, or if you can't find a page from May 2014 or older then it's not a supported Zandronum feature.

There are exceptions, though. I think A_CheckSight has a few flags that have been backported from newer GZDoom versions, and MODELDEF has support for SurfaceSkin (not even GZDoom 1.9.1 had this), but they aren't many.
No Gucci, no Prada, no Supreme, but my sadness got an ending, my smile shining like bling-bling, i'm so blessed feeling like a king!

play with my bots or bad stuff will happen to u >:c

Post Reply